Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.model
Class RDF_MetaClass

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.model.Resource
            |
            +--gr.forth.ics.vrp.corevrp.model.RDF_Resource
                  |
                  +--gr.forth.ics.vrp.corevrp.model.RDF_Class
                        |
                        +--gr.forth.ics.vrp.corevrp.model.RDF_MetaClass

public class RDF_MetaClass
extends RDF_Class

Field Summary
`static int` | `META_CLASS` This flag indicates that the current object is a metaclass of classes
`static int` | `META_PROPERTY` This flag indicates that the current object is a metaclass of properties

Constructor Summary
`RDF_MetaClass(RDF_Class rdf_class, int kind)`
`RDF_MetaClass(RDF_Resource rdf_resource, int kind)`
`RDF_MetaClass(Resource resource, int kind)`
`RDF_MetaClass(String URI, int kind)` Creates a new MetaClass.

Method Summary
`int` | `getKind()` If the object represents a metaclass of classes returns the integer .

Methods inherited from class gr.forth.ics.vrp.corevrp.model.RDF_Class
`addsubClassOf, containssubClassOf_type, containssubClassOf_type, getsubClassOf, has_type, setsubClassOf`

Methods inherited from class gr.forth.ics.vrp.corevrp.model.RDF_Resource
`addcomment, addisDefinedBy, addlabel, addseeAlso, addtype, addvalue, addvalue, getcomment, getisDefinedBy, getlabel, getseeAlso, gettype, getvalue, setcomment, setisDefinedBy, setlabel, setseeAlso, settype, setvalue, solve_links`

Methods inherited from class gr.forth.ics.vrp.corevrp.model.Resource
`getID, setID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### META_CLASS

    public static final int META_CLASS

  This flag indicates that the current object is a metaclass of classes

  See Also:
    Constant Field Values

### META_PROPERTY

    public static final int META_PROPERTY

  This flag indicates that the current object is a metaclass of properties

  See Also:
    Constant Field Values

Constructor Detail

### RDF_MetaClass

    public RDF_MetaClass(String URI,
                         int kind)

  Creates a new MetaClass.

### RDF_MetaClass

    public RDF_MetaClass(Resource resource,
                         int kind)

### RDF_MetaClass

    public RDF_MetaClass(RDF_Resource rdf_resource,
                         int kind)

### RDF_MetaClass

    public RDF_MetaClass(RDF_Class rdf_class,
                         int kind)

Method Detail

### getKind

    public int getKind()

  If the object represents a metaclass of classes returns the integer . Otherwise it returns the integer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD